Quantcast

SWT 4.7 on RedHat 6

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

SWT 4.7 on RedHat 6

Thomas Singer
Hi all,

Is there a serious reason why SWT 4.7 does not work any more on RedHat 6?

$ cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.8 (Santiago)

SmartGit 17 users are getting:

> java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
>             Can't load library: /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so
>             Can't load library: /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk.so
>             no swt-pi-gtk-4723 in java.library.path
>             no swt-pi-gtk in java.library.path
>             /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so)
>
>             at org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
>             at org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
>             at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:28)
>             at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:118)
>             at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
>             at org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
>             at com.syntevo.q.gui.cH.a(SourceFile:58)
>             at smartgit.adV.a(SourceFile:99)
>             at smartgit.aya.a(SourceFile:258)
>             at smartgit.aya.a(SourceFile:210)
>             at smartgit.aes.b(SourceFile:61)
>             at SmartGit.main(SourceFile:11)

RedHat 6 only has glibc 2.12 according to the user's feedback.

--
Best regards,
Thomas Singer
=============
syntevo GmbH
http://www.syntevo.com
http://www.syntevo.com/blog
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: SWT 4.7 on RedHat 6

Lars Vogel-2
Hi Thomas,

Eclipse SWT 4.7 requires 2.24 as minimum. See
https://bugs.eclipse.org/bugs/show_bug.cgi?id=501986

Best regards, Lars

On Tue, Jan 31, 2017 at 10:34 AM, Thomas Singer <[hidden email]> wrote:

> Hi all,
>
> Is there a serious reason why SWT 4.7 does not work any more on RedHat 6?
>
> $ cat /etc/redhat-release
> Red Hat Enterprise Linux Server release 6.8 (Santiago)
>
> SmartGit 17 users are getting:
>
>> java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
>>             Can't load library:
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so
>>             Can't load library:
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk.so
>>             no swt-pi-gtk-4723 in java.library.path
>>             no swt-pi-gtk in java.library.path
>>             /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so:
>> /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so)
>>
>>             at
>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
>>             at
>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
>>             at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:28)
>>             at
>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:118)
>>             at
>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
>>             at org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
>>             at com.syntevo.q.gui.cH.a(SourceFile:58)
>>             at smartgit.adV.a(SourceFile:99)
>>             at smartgit.aya.a(SourceFile:258)
>>             at smartgit.aya.a(SourceFile:210)
>>             at smartgit.aes.b(SourceFile:61)
>>             at SmartGit.main(SourceFile:11)
>
>
> RedHat 6 only has glibc 2.12 according to the user's feedback.
>
> --
> Best regards,
> Thomas Singer
> =============
> syntevo GmbH
> http://www.syntevo.com
> http://www.syntevo.com/blog
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from
> this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev



--
Eclipse Platform UI and e4 project co-lead
CEO vogella GmbH

Haindaalwisch 17a, 22395 Hamburg
Amtsgericht Hamburg: HRB 127058
Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
USt-IdNr.: DE284122352
Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: SWT 4.7 on RedHat 6

Sravan K Lakkimsetti

Hi Thomas,

It is built on top of RHEL 7. It requires higher version of GLIBC.

Regards,
Sravan


-----Original Message-----
From: Lars Vogel [[hidden email]]
Sent: Tuesday, January 31, 2017 3:10 PM
To: Eclipse Platform SWT component developers list. <[hidden email]>
Subject: Re: [platform-swt-dev] SWT 4.7 on RedHat 6

Hi Thomas,

Eclipse SWT 4.7 requires 2.24 as minimum. See
https://bugs.eclipse.org/bugs/show_bug.cgi?id=501986

Best regards, Lars

On Tue, Jan 31, 2017 at 10:34 AM, Thomas Singer <[hidden email]> wrote:


> Hi all,
>
> Is there a serious reason why SWT 4.7 does not work any more on RedHat 6?
>
> $ cat /etc/redhat-release
> Red Hat Enterprise Linux Server release 6.8 (Santiago)
>
> SmartGit 17 users are getting:
>
>> java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
>> Can't load library:
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so
>> Can't load library:
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk.so
>> no swt-pi-gtk-4723 in java.library.path
>> no swt-pi-gtk in java.library.path
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so:
>> /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so)
>>
>> at
>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
>> at
>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
>> at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:28)
>> at
>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:118)
>> at
>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
>> at org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
>> at com.syntevo.q.gui.cH.a(SourceFile:58)
>> at smartgit.adV.a(SourceFile:99)
>> at smartgit.aya.a(SourceFile:258)
>> at smartgit.aya.a(SourceFile:210)
>> at smartgit.aes.b(SourceFile:61)
>> at SmartGit.main(SourceFile:11)
>
>
> RedHat 6 only has glibc 2.12 according to the user's feedback.
>
> --
> Best regards,
> Thomas Singer
> =============
> syntevo GmbH
> http://www.syntevo.com
> http://www.syntevo.com/blog
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or
> unsubscribe from this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev



--
Eclipse Platform UI and e4 project co-lead CEO vogella GmbH

Haindaalwisch 17a, 22395 Hamburg
Amtsgericht Hamburg: HRB 127058
Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
USt-IdNr.: DE284122352
Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com _______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/platform-swt-dev


_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: SWT 4.7 on RedHat 6

Thomas Singer
In reply to this post by Lars Vogel-2
Hi Lars,

Thanks for the answer. Unfortunately, this issue does not explain the
why-aspect.

--
Best regards,
Thomas Singer
=============
syntevo GmbH
http://www.syntevo.com
http://www.syntevo.com/blog


On 2017-01-31 10:39, Lars Vogel wrote:

> Hi Thomas,
>
> Eclipse SWT 4.7 requires 2.24 as minimum. See
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=501986
>
> Best regards, Lars
>
> On Tue, Jan 31, 2017 at 10:34 AM, Thomas Singer <[hidden email]> wrote:
>> Hi all,
>>
>> Is there a serious reason why SWT 4.7 does not work any more on RedHat 6?
>>
>> $ cat /etc/redhat-release
>> Red Hat Enterprise Linux Server release 6.8 (Santiago)
>>
>> SmartGit 17 users are getting:
>>
>>> java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
>>>             Can't load library:
>>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so
>>>             Can't load library:
>>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk.so
>>>             no swt-pi-gtk-4723 in java.library.path
>>>             no swt-pi-gtk in java.library.path
>>>             /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so:
>>> /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
>>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so)
>>>
>>>             at
>>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
>>>             at
>>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
>>>             at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:28)
>>>             at
>>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:118)
>>>             at
>>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
>>>             at org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
>>>             at com.syntevo.q.gui.cH.a(SourceFile:58)
>>>             at smartgit.adV.a(SourceFile:99)
>>>             at smartgit.aya.a(SourceFile:258)
>>>             at smartgit.aya.a(SourceFile:210)
>>>             at smartgit.aes.b(SourceFile:61)
>>>             at SmartGit.main(SourceFile:11)
>>
>>
>> RedHat 6 only has glibc 2.12 according to the user's feedback.
>>
>> --
>> Best regards,
>> Thomas Singer
>> =============
>> syntevo GmbH
>> http://www.syntevo.com
>> http://www.syntevo.com/blog
>> _______________________________________________
>> platform-swt-dev mailing list
>> [hidden email]
>> To change your delivery options, retrieve your password, or unsubscribe from
>> this list, visit
>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>
>
>
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: SWT 4.7 on RedHat 6

Lars Vogel-2
Hi Thomas,

it does answer the why aspect.

See
https://bugs.eclipse.org/bugs/show_bug.cgi?id=501986 and the linked
bug 476644 in it.

Best regards, Lars

On Tue, Jan 31, 2017 at 12:56 PM, Thomas Singer <[hidden email]> wrote:

> Hi Lars,
>
> Thanks for the answer. Unfortunately, this issue does not explain the
> why-aspect.
>
> --
> Best regards,
> Thomas Singer
> =============
> syntevo GmbH
> http://www.syntevo.com
> http://www.syntevo.com/blog
>
>
> On 2017-01-31 10:39, Lars Vogel wrote:
>>
>> Hi Thomas,
>>
>> Eclipse SWT 4.7 requires 2.24 as minimum. See
>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=501986
>>
>> Best regards, Lars
>>
>> On Tue, Jan 31, 2017 at 10:34 AM, Thomas Singer <[hidden email]>
>> wrote:
>>>
>>> Hi all,
>>>
>>> Is there a serious reason why SWT 4.7 does not work any more on RedHat 6?
>>>
>>> $ cat /etc/redhat-release
>>> Red Hat Enterprise Linux Server release 6.8 (Santiago)
>>>
>>> SmartGit 17 users are getting:
>>>
>>>> java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
>>>>             Can't load library:
>>>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so
>>>>             Can't load library:
>>>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk.so
>>>>             no swt-pi-gtk-4723 in java.library.path
>>>>             no swt-pi-gtk in java.library.path
>>>>             /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so:
>>>> /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
>>>> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so)
>>>>
>>>>             at
>>>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
>>>>             at
>>>> org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
>>>>             at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:28)
>>>>             at
>>>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:118)
>>>>             at
>>>> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
>>>>             at
>>>> org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
>>>>             at com.syntevo.q.gui.cH.a(SourceFile:58)
>>>>             at smartgit.adV.a(SourceFile:99)
>>>>             at smartgit.aya.a(SourceFile:258)
>>>>             at smartgit.aya.a(SourceFile:210)
>>>>             at smartgit.aes.b(SourceFile:61)
>>>>             at SmartGit.main(SourceFile:11)
>>>
>>>
>>>
>>> RedHat 6 only has glibc 2.12 according to the user's feedback.
>>>
>>> --
>>> Best regards,
>>> Thomas Singer
>>> =============
>>> syntevo GmbH
>>> http://www.syntevo.com
>>> http://www.syntevo.com/blog
>>> _______________________________________________
>>> platform-swt-dev mailing list
>>> [hidden email]
>>> To change your delivery options, retrieve your password, or unsubscribe
>>> from
>>> this list, visit
>>> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>>
>>
>>
>>
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from
> this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev



--
Eclipse Platform UI and e4 project co-lead
CEO vogella GmbH

Haindaalwisch 17a, 22395 Hamburg
Amtsgericht Hamburg: HRB 127058
Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
USt-IdNr.: DE284122352
Fax (040) 5247 6322, Email: [hidden email], Web: http://www.vogella.com
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: SWT 4.7 on RedHat 6

Aleksandar Kurtakov
In reply to this post by Sravan K Lakkimsetti


----- Original Message -----

> From: "Sravan K Lakkimsetti" <[hidden email]>
> To: "Eclipse Platform SWT component developers list." <[hidden email]>
> Sent: Tuesday, 31 January, 2017 10:54:41 AM
> Subject: Re: [platform-swt-dev] SWT 4.7 on RedHat 6
>
>
>
> Hi Thomas,
>
> It is built on top of RHEL 7. It requires higher version of GLIBC.

Hi Thomas,

Let me add more details.
First of all the move to RHEL 7 was moved in order to be able to build in sane way as RHEL 6 has no GTK3 so it was either manually hacked env on RHEL 6 or being part of swt on one machine rest on another and what we had was a mixture of the two IIRC. Now build can happen on single machine. All these native parts builds are still happening inside IBM (mostly because of the complicated way of building) and there is work in progress to move it to Eclipse.org infra which will allow community to help and influence the work further.
Now to the dirty technical details - the symbol that requires Glibc 2.14 is memcpy. And it was versioned in 2.14 for the reasons described in http://man7.org/linux/man-pages/man3/memcpy.3.html#NOTES . This could potentially be hacked use the old version via smth like 'asm (".symver memcpy, memcpy@GLIBC_2.2.5");' but we had some hard to find crashers so I would say it's not worth it. Especially considering that RHEL subscriptions cover all active RHEL versions and at the time Oxygen is released RHEL 6 will be in production stage 3 https://access.redhat.com/support/policy/updates/errata#Production_3_Phase developers should start moving to RHEL7.

>
> Regards,
> Sravan
>
>
> -----Original Message-----
> From: Lars Vogel [ mailto:[hidden email] ]
> Sent: Tuesday, January 31, 2017 3:10 PM
> To: Eclipse Platform SWT component developers list.
> <[hidden email]>
> Subject: Re: [platform-swt-dev] SWT 4.7 on RedHat 6
>
> Hi Thomas,
>
> Eclipse SWT 4.7 requires 2.24 as minimum. See
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=501986
>
> Best regards, Lars
>
> On Tue, Jan 31, 2017 at 10:34 AM, Thomas Singer <[hidden email]> wrote:
> > Hi all,
> >
> > Is there a serious reason why SWT 4.7 does not work any more on RedHat 6?
> >
> > $ cat /etc/redhat-release
> > Red Hat Enterprise Linux Server release 6.8 (Santiago)
> >
> > SmartGit 17 users are getting:
> >
> >> java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
> >> Can't load library:
> >> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so
> >> Can't load library:
> >> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk.so
> >> no swt-pi-gtk-4723 in java.library.path
> >> no swt-pi-gtk in java.library.path
> >> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so:
> >> /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
> >> /home/nick/.smartgit/17/swt.tmp/libswt-pi-gtk-4723.so)
> >>
> >> at
> >> org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
> >> at
> >> org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
> >> at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:28)
> >> at
> >> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:118)
> >> at
> >> org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:80)
> >> at org.eclipse.swt.widgets.Display.<clinit>(Display.java:140)
> >> at com.syntevo.q.gui.cH.a(SourceFile:58)
> >> at smartgit.adV.a(SourceFile:99)
> >> at smartgit.aya.a(SourceFile:258)
> >> at smartgit.aya.a(SourceFile:210)
> >> at smartgit.aes.b(SourceFile:61)
> >> at SmartGit.main(SourceFile:11)
> >
> >
> > RedHat 6 only has glibc 2.12 according to the user's feedback.
> >
> > --
> > Best regards,
> > Thomas Singer
> > =============
> > syntevo GmbH
> > http://www.syntevo.com
> > http://www.syntevo.com/blog
> > _______________________________________________
> > platform-swt-dev mailing list
> > [hidden email]
> > To change your delivery options, retrieve your password, or
> > unsubscribe from this list, visit
> > https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>
>
>
> --
> Eclipse Platform UI and e4 project co-lead CEO vogella GmbH
>
> Haindaalwisch 17a, 22395 Hamburg
> Amtsgericht Hamburg: HRB 127058
> Geschäftsführer: Lars Vogel, Jennifer Nerlich de Vogel
> USt-IdNr.: DE284122352
> Fax (040) 5247 6322, Email: [hidden email], Web:
> http://www.vogella.com _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from
> this list, visit https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
>
>
> _______________________________________________
> platform-swt-dev mailing list
> [hidden email]
> To change your delivery options, retrieve your password, or unsubscribe from
> this list, visit
> https://dev.eclipse.org/mailman/listinfo/platform-swt-dev

--
Alexander Kurtakov
Red Hat Eclipse team
_______________________________________________
platform-swt-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/platform-swt-dev
Loading...